# all files / ol/ tile.js

100% Statements 22/22
100% Branches 0/0
100% Functions 5/5
100% Lines 22/22

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29
    30
    31
    32
    33
    34
    35
    36
    37
    38
    39
    40
    41
    42
    43
    44
    45
    46
    47
    48
    49
    50
    51
    52
    53
    54
    55
    56
    57
    58
    59
    60
    61
    62
    63
    64
    65
    66
    67
    68
    69
    70
    71
    72
    73
    74
    75
    76
    77
    78
    79
    80
    81
    82
    83
    84
    85
    86
    87
    88
    89
    90
    91
    92
    93
    94
    95
    96
    97
    981×
    1×

    1×
    1×
    1×
    1×

    1×

    1×

    281×

    281×

    281×

    1×

    1×
    77×

    1×

    1×
    260×

    1×
    20×

    1×
    190×

    1×
     goog.provide('ol.Tile');
    goog.provide('ol.TileState');

    goog.require('goog.events');
    goog.require('goog.events.EventTarget');
    goog.require('goog.events.EventType');
    goog.require('ol.TileCoord');

    /**
     * @enum {number}
     */
    ol.TileState = {
      IDLE: 0,
      LOADING: 1,
      LOADED: 2,
      ERROR: 3,
      EMPTY: 4
    };

    /**
     * @classdesc
     * Base class for tiles.
     *
     * @constructor
     * @extends {goog.events.EventTarget}
     * @param {ol.TileCoord} tileCoord Tile coordinate.
     * @param {ol.TileState} state State.
     */
    ol.Tile = function(tileCoord, state) {

      goog.base(this);

      /**
       * @type {ol.TileCoord}
       */
      this.tileCoord = tileCoord;

      /**
       * @protected
       * @type {ol.TileState}
       */
      this.state = state;

    };
    goog.inherits(ol.Tile, goog.events.EventTarget);

    /**
     * @protected
     */
    ol.Tile.prototype.changed = function() {
      this.dispatchEvent(goog.events.EventType.CHANGE);
    };

    /**
     * Get the HTML image element for this tile (may be a Canvas, Image, or Video).
     * @function
     * @param {Object=} opt_context Object.
     * @return {HTMLCanvasElement|HTMLImageElement|HTMLVideoElement} Image.
     */
    ol.Tile.prototype.getImage = goog.abstractMethod;

    /**
     * @return {string} Key.
     */
    ol.Tile.prototype.getKey = function() {
      return goog.getUid(this).toString();
    };

    /**
     * Get the tile coordinate for this tile.
     * @return {ol.TileCoord}
     * @api
     */
    ol.Tile.prototype.getTileCoord = function() {
      return this.tileCoord;
    };

    /**
     * @return {ol.TileState} State.
     */
    ol.Tile.prototype.getState = function() {
      return this.state;
    };

    /**
     * FIXME empty description for jsdoc
     */
    ol.Tile.prototype.load = goog.abstractMethod;